## CoglIndexBuffer: Buffers of vertex indices CoglIndexBuffer: Buffers of vertex indices — Functions for creating and manipulating vertex indices. |

## Functions

CoglIndexBuffer * | cogl_index_buffer_new ()
CoglBool | cogl_is_index_buffer ()

## Types and Values

| CoglIndexBuffer

## Description

FIXME

## Functions

### cogl_index_buffer_new ()

    CoglIndexBuffer *
    cogl_index_buffer_new (CoglContext *context,
                           size_t bytes);

Declares a new CoglIndexBuffer of `size` bytes to contain vertex indices. Once declared, data can be set using `cogl_buffer_set_data()` or by mapping it into the application's address space using `cogl_buffer_map()`.

#### Parameters

context | A CoglContext |
bytes | The number of bytes to allocate for vertex attribute data. |

#### Returns

A newly allocated CoglIndexBuffer.

[transfer full]

Since: 1.4

Stability Level: Unstable

### cogl_is_index_buffer ()

    CoglBool
    cogl_is_index_buffer (void *object);

Gets whether the given object references a CoglIndexBuffer.

#### Parameters

object | A CoglObject |

#### Returns

`TRUE` if the `object` references a CoglIndexBuffer, `FALSE` otherwise

Since: 1.4

Stability Level: Unstable

## Types and Values

### CoglIndexBuffer

    typedef struct _CoglIndexBuffer CoglIndexBuffer;